PUT Application/PutCompanyRoleSemanticEntitySecurity
Request Information
URI Parameters
None.
Body Parameters
CompanyRoleSemanticEntitySecurity| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| CompanyRoleID | globally unique identifier |
Required |
|
| SemanticEntitySchemaName | string |
Required |
|
| SemanticEntityName | string |
Required |
|
| EntityID | string |
Required |
|
| HasAccess | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "737d2c9d-ad59-417b-b658-52e391d1c981",
"companyRoleID": "c7a8f2a9-b790-45aa-b2d5-965189906717",
"semanticEntitySchemaName": "sample string 3",
"semanticEntityName": "sample string 4",
"entityID": "sample string 5",
"hasAccess": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.